using System;

namespace InABox.Core
{
    public interface ILookupEditor : IButtonEditor
    {
        Type Type { get; }

        int LookupWidth { get; set; }

        CoreTable Values(string columnname, BaseObject[]? items = null);

        void Clear();
    }

    public static class LookupEditorExtensions
    {
        public static bool IsEnumEditor(this ILookupEditor editor) => editor is EnumLookupEditor;
    }
}